Package org.eclipse.graphiti.pattern.mapping.data

# Interface IImageDataMapping

All Superinterfaces:
  `IDataMapping`

All Known Subinterfaces:
  `ILabelDataMapping`

All Known Implementing Classes:
  `ImageDataMapping`, `LabelDataMapping`

public interface IImageDataMapping extends IDataMapping
The Interface IImageDataMapping.

## Method Summary

Modifier and Type
Method
Description
`String`
`getImageId(PictogramLink link)`
Gets the image id.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

## Method Details

### getImageId

String getImageId(PictogramLink link)
Gets the image id.

Parameters:
  `link` - the pictogram link
Returns:
  the image id